Button button[];
Library library[];
Pub Pub[];

int viewHomepage = 0;
int viewLibrary = 1;
int viewRead = 2;
int viewReadings = 3;
int viewMap = 4;
int viewInvite = 5;
int viewExit = 6;
int viewLibraryIN = 7;
int viewBook = 8;
int viewEvent =9;
int pizzinoYEP = 0;

int screenMode = viewHomepage;


void setup() {
  size(480, 320);
  smooth();

  loadImages();
  createButton();
  createLibrary();
  createPub();

  bx= 100; //defining the initial position for the napkin (menuInvite)
  by = 100;

  numberOfLetters = 8;
}


void draw() {
  //  color c = get(mouseX , mouseY);
  //  println ("color=" + c);

  background(0);

  updateBackground();
  if (screenMode== viewHomepage) {
    drawHomepage();
  }

  else if (screenMode== viewLibrary) {
    drawLibrary();
  }

  else if (screenMode == viewLibraryIN) {
drawLibraryIN();
  }

  else if (screenMode == viewBook) {
drawBook();
  }

  else if (screenMode == viewRead) {
    drawRead();
  }

  else if (screenMode == viewReadings) {
    drawReadings();
  }

  else if (screenMode == viewMap) {
     drawMap();
  }

  else if (screenMode == viewEvent) {
    drawEvent();
  }

  else if (screenMode == viewInvite) {
    drawInvite();
  }

  else if (screenMode == viewExit) {
    drawExit();
  }  
}


void mousePressed() {
  mousePressedBackground(); 
 
  if (screenMode == viewHomepage) {
    color c = buttons.get(int (mouseX-x_position), int (mouseY-y_position));
   

    if (c== -39936) {
      screenMode = viewReadings;
    }
    if (c== -59904) {
      screenMode = viewMap;
    }
    if(c ==-16746241 ) {
      screenMode = viewLibrary;
    }

    if(c == -16766721) {
      screenMode = viewRead;
    } 

    if (c== -65326) {
      screenMode = viewInvite;
    }
    if (c== -16711776) {
      screenMode = viewExit;
    }
  }

  else if(screenMode == viewInvite) {
    if(bover) { 
      locked = true;
    } 
    else {
      locked = false;
    }
    bdifx = mouseX-bx; 
    bdify = mouseY-by;
  }

  else if (screenMode == viewReadings) {
    if (counter <= (numberOfLetters+1)) {
      counter+=1;
    }
  }
  
   println ("screenMode = " + screenMode);
}


void mouseDragged() {
  if(locked) {
    bx = mouseX-bdifx; 
    by = mouseY-bdify;
  }
}


void mouseReleased() {
  locked = false;
}

