class Button{
  float d = 0;
  float x;
  float y;
  float xTarget;
  float yTarget;

  int level;
  PImage img;
  float speed = 1.5;


  Button(int level, float x, float y){
    this.x = this.xTarget = x;
    this.y = this.yTarget = y;

    this.level = level;
    this.img = loadImage (("button" + level) + ".png");
    //println(("button" + level)  + ".png");
  }

  void paint(){
    x += (xTarget - x) * speed;
    y += (yTarget - y) * speed;

    image(img, x_position + x, y_position + y);
  }

  void move(float x, float y){
    this.xTarget = x;
    this.yTarget = y;
  }
}


void createButton(){
  button = new Button[6];
  button[0] = new Button(1,  150, 75); 
  button[1] = new Button(2,  560, 80); 
  button[2] = new Button(3,  600, 270);
  button[3] = new Button(4,  385, 268);
  button[4] = new Button(5,  183, 370);
  button[5] = new Button(6,  490, 375);
}

//////////////////////////////////////////LibraryBUTTONS
class Library{
  float d = 0;
  float x;
  float y;
  float xTarget;
  float yTarget;

  int level;
  PImage img;
  float speed = 1.5;


  Library(int level, float x, float y){
    this.x = this.xTarget = x;
    this.y = this.yTarget = y;

    this.level = level;
    this.img = loadImage (("library" + level) + ".png");
   // println(("library" + level)  + ".png");
  }

  void paint(){
    x += (xTarget - x) * speed;
    y += (yTarget - y) * speed;

    image(img, x_position + x, y_position + y);
  }

  void move(float x, float y){
    this.xTarget = x;
    this.yTarget = y;
  }
}


void createLibrary(){
  library = new Library[6];
  library[0] = new Library(1,  380,100); 
  library[1] = new Library(2,  130, 350); 
  library[2] = new Library(3,  100, 130);
  library[3] = new Library(4,  560, 370);
  library[4] = new Library(5,  298,315);
  library[5] = new Library(6,  578,190);
}

//////////////////////////////////////////PUB_buttons
class Pub{
  float d = 0;
  float x;
  float y;
  float xTarget;
  float yTarget;

  int level;
  PImage img;
  float speed = 1.5;


  Pub(int level, float x, float y){
    this.x = this.xTarget = x;
    this.y = this.yTarget = y;

    this.level = level;
    this.img = loadImage (("Pub" + level) + ".png");
   // println(("Pub" + level)  + ".png");
  }

  void paint(){
    x += (xTarget - x) * speed;
    y += (yTarget - y) * speed;

    image(img, x_position + x, y_position + y);
  }

  void move(float x, float y){
    this.xTarget = x;
    this.yTarget = y;
  }
}


void createPub(){
  Pub = new Pub[4];
  Pub[0] = new Pub(1,  222,285); 
  Pub[1] = new Pub(2,  450,115); 
  Pub[2] = new Pub(3,  413,190);
  Pub[3] = new Pub(4,  245,128);
}

