float progress(float start, float end, float percent) {
  return start + ((end - start) * percent);
}

////////////////////////// Position & Animation Variables

float friction = 0.95;

float x_velocity = - 1;
float x_position = -180;
float x_offset = - 1;
float x_refresh = -180;

float y_velocity = - 1;
float y_position = -30;
float y_offset = - 1;
float y_refresh = -30;

float percentage = 0;

///////////////////////////////INVITE variables
float bx;
float by;
int bh = 301;
int bl = 290;
boolean bover = false;
boolean locked = false;
float bdifx = 0.0; 
float bdify = 0.0; 

boolean moveCheck = false;


/////////////////////////////
int counter=0;
//the number of letters you have to type is the number of times you have to touch the screen
int numberOfLetters;


///////////////////////////////////////menuBACKGROUND
void updateBackground() {

  if(mousePressed) { 
    x_velocity = (mouseX + x_offset) - x_position;
    x_position = mouseX + x_offset;
    y_velocity = (mouseY + y_offset) - y_position;
    y_position = mouseY + y_offset;
  }
  else {
    x_velocity = x_velocity * friction;
    x_position = x_position + x_velocity;
    y_velocity = y_velocity * friction;
    y_position = y_position + y_velocity;
  } 
  /////////////////////////////////stoppig edges////////////////////////
  if (x_position > 0) {
    x_position = 0;
  }
  if (x_position < (- 420)) {
    x_position = - 420;
  }
  if (y_position > 0) {
    y_position = 0;
  }
  if (y_position < (- 360)) {
    y_position = - 360;
  }
}



void movetocenter() {
  //if(x_position != -480 || y_position != -640) {

  if(int(x_position) < -175 && int(x_position) > -185 && int(y_position) < -25 && int(y_position) > -35){
    moveCheck = false;
  }

  if(x_position != -1200 || y_position != -1400) {
    x_velocity = (x_refresh - x_position) * 0.054;
    y_velocity = (y_refresh - y_position) * 0.054;
  }

}


void mousePressedBackground() {
  if((mouseX > x_position - 1600)&&(mouseX <  x_position + 1600)) {
    x_offset = x_position - mouseX;
  }
  if (mouseY > (y_position - 1440) && mouseY <  (y_position + 1440)) {
    y_offset = y_position - mouseY;
  }
}


/////////////////////////////////menuHOMEPAGE
void drawHomepage() {

  if(moveCheck){
    movetocenter();
  }

  image (buttons, x_position, y_position);
  image (home, x_position, y_position);

  for (int i = 0; i<button.length; i++) {
    button[i].paint();
  }
}

//////////////////////////////////////////menuLIBRARY
void drawLibrary() {
  image (menuLibrary,x_position, y_position);
  for (int i = 0; i<library.length; i++) {
    library[i].paint();
  }

  image (back, 0, 0);


  if (mousePressed && mouseX>430 && mouseX< 470 && mouseY>y_position  + 260 && mouseY< +311) {
    println ("Y");
    moveCheck = true;

    screenMode = viewHomepage;
  }

  if (mousePressed && mouseX>(x_position +545) && mouseX<(x_position+890) && mouseY>(y_position +140) && mouseY<(y_position+311)) {
    screenMode = viewLibraryIN;
  }
}


void drawLibraryIN() {
  background (0);
  image (libraryIN,0,0);
  image (titleBookOff, 29,8);
  image (upload,361, 22);
  image (back, 0, 0);
  // fill (203,85,21, 52);
  // rect (38.5,41, 96,55);
  // image (titleBookOn,80,60);
  if (mousePressed && mouseX>38.5 && mouseX<134.5 && mouseY>41 & mouseY<96) {
    screenMode = viewBook;
  }
  if (mousePressed && mouseX>430  && mouseX<470 && mouseY>260 & mouseY<311) {
    screenMode = viewLibrary;
  }
}

///////////////////////////////////////////////drawBOOK
void drawBook() {
  background (0);
  image (bookFantasy,0,0);
  image (backVERT, 154,3);
  //fill (30,45,100, 30);
  //rect (420,9, 47,31);
  if (mousePressed && mouseX>420 && mouseX<467 && mouseY>9 & mouseY<45) {
    screenMode = viewLibraryIN;
  }
}

//////////////////////////////////////////////////////menuMAP
void drawMap() {
  image (menuMap,x_position, y_position);
  image (back, 0,0);
  for (int i = 0; i<Pub.length; i++) {
    Pub[i].paint();
  }
  // fill (30,45,100, 30);
  //rect (480,275, 35,63);

  if (mousePressed && mouseX>430 && mouseX<470 && mouseY>260 & mouseY<311) { //////////selection BackButton
    moveCheck = true;   
    screenMode = viewHomepage;
  }

  if (mousePressed && mouseX>(x_position+480) && mouseX<(x_position+515) && mouseY>(y_position+275) && mouseY<(y_position+338)) { //////////selection of a Pub (the Shark one)
    screenMode = viewEvent;
  }
}

void drawEvent() {
  image (menuMap,x_position, y_position);
  image (back, 0,0);
  image (Pub_event, x_position+500, y_position+260);

  for (int i = 0; i<Pub.length; i++) {
    Pub[i].paint();
  }
  image (Pub_SharkOn,x_position+413,y_position+190);
  if (mousePressed && mouseX>430 && mouseX<470 && mouseY>260 & mouseY<311) {
    moveCheck = true;   
    screenMode = viewHomepage;
  }
}
///////////////////////////////////////menuREADINGS
void drawReadings() {
  background(0);
  image (menuReadings,0,0);
  image (back, 0, 0);
  image (Add, 380, 10);
  // fill (30,45,100, 30);
  //rect (400,85, 60,35);

  if (mousePressed && mouseX>430 && mouseX<470 && mouseY>260 & mouseY<311) {
    moveCheck = true;   
    screenMode = viewHomepage;
  }

  if (0 < counter && counter < (numberOfLetters+1)) {
    image (keyboard,0,160,480,160);
  }
}


/////////////////////////////////////menuINVITE
void drawInvite() {
  image (menuInvite,0,0);
  image (back, 0, 0);
  if (mouseX > bx-bl && mouseX < bx+bl && mouseY > by-bh && mouseY < by+bh) {// Test if the cursor is over the box 
    bover = true;
  } 
  else {
    bover = false;
  }
  //imageMode(CENTER);
  image (pizzino, bx,by,bl,bh);

  if (mousePressed && mouseX>430 && mouseX<470 && mouseY>260 & mouseY<311) {
    moveCheck = true;  
    screenMode = viewHomepage;
  }
}
///////////////////////////////////////menuEXIT
void drawExit() {
  background (0);
  if (mousePressed && mouseX>430 && mouseX<470 && mouseY>260 & mouseY<311) {
    moveCheck = true;  
    screenMode = viewHomepage;
  }
}



















